#ifndef DEFINITIONS_H
#define DEFINITIONS_H

#include "SelectionTools.h"


namespace CppTools
{

	class DefinitionsCSC {

		public:
			DefinitionsCSC(); //constructor
			virtual ~DefinitionsCSC(){}; //destructor

//		private:

			//muon object
			CppTools::MuonCuts muon;

			//electron objects
			CppTools::ElectronCuts elTight;
			CppTools::ElectronCuts elMed;
			CppTools::ElectronCuts elMedNoIso;
			CppTools::ElectronCuts elLoose;
			CppTools::ElectronCuts electron; //electron object used in analysis code

			//jet object
			CppTools::JetCuts jet;

			//truth jet object
			CppTools::JetCuts truth_jet;

			// SpclMc container cuts
			CppTools::TruthCuts truth;

                        //better to use a separate class for photons
			CppTools::PhotonCuts photon;

			//tau object
			CppTools::TauCuts tau;

			//! ROOT Dict ClassDef declaration
			ClassDef(DefinitionsCSC, 1)

	}; //end of Definitions class

} //End of the CppTools namespace


#endif // DEFINITIONS_H
